<?php
/**
 * Custom functions to be used within Elementor plugin.
 *
 * @package    TruthMag
 * @since      TruthMag 1.0.0
 */

if ( ! function_exists( 'truthmag_elementor_categories' ) ) :

	/**
	 * Return the values of all the categories of the posts present in the site.
	 *
	 * @return array of category ids and its respective names.
	 *
	 * @since TruthMag 1.0.0
	 */
	function truthmag_elementor_categories() {
		$output     = array();
		$categories = get_categories();

		foreach ( $categories as $category ) {
			$output[ $category->term_id ] = $category->name;
		}

		return $output;
	}

endif;

if ( ! function_exists( 'truthmag_elementor_styles' ) ) :

	/**
	 * Loads styles on elementor editor.
	 *
	 * @since TruthMag 1.0.0
	 */
	function truthmag_elementor_styles() {
		wp_enqueue_style( 'truthmag-econs', get_template_directory_uri() . '/inc/compatibility/elementor/assets/css/truthmag-econs.css', false, '1.0' );
	}

endif;

add_action( 'elementor/editor/after_enqueue_styles', 'truthmag_elementor_styles' );
